public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/exaile/
Date: Fri,  4 Aug 2023 06:33:15 +0000 (UTC)	[thread overview]
Message-ID: <1691130790.869af7e91d35f16813aa313b96b59f14acf1d8c9.fordfrog@gentoo> (raw)

commit:     869af7e91d35f16813aa313b96b59f14acf1d8c9
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  4 06:33:00 2023 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Aug  4 06:33:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=869af7e9

media-sound/exaile: bump to 4.1.3

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-sound/exaile/Manifest            |  1 +
 media-sound/exaile/exaile-4.1.3.ebuild | 68 ++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/media-sound/exaile/Manifest b/media-sound/exaile/Manifest
index 4ea8546ade82..801abb1d2ed7 100644
--- a/media-sound/exaile/Manifest
+++ b/media-sound/exaile/Manifest
@@ -1 +1,2 @@
 DIST exaile-4.1.2.tar.gz 3708188 BLAKE2B 859d77bac62df0843291fdc0de4888079c8f103da3cdf3417d0cd5ba67cf5199a8a1e89d20403efbc6793dfcd7b8333708df74ff535e0912fb02502a13702a0a SHA512 7711f9e062088b02362bbd404f7c61a0f1c128e29e42ce657dc092cac351641f6000846c9da843866bf28ccbd68cf1b07731ba1c9854d52b33c0448e87d0e93b
+DIST exaile-4.1.3.tar.gz 3853508 BLAKE2B 3ce7bbd84dda419b817f0684b2279e29a48b7c221eb3d335f3b3797be4dbbec9158b576337084cdd0d242d79fdf14616c1e0b8b171e3995689f94945aa7385b6 SHA512 16b31331a31f0a2e088f177c8a01ef47603b07fe94cbb19869a4caeaec2da03cacaa07d5b0eb50052645449e07620e2c58f202007108af73e20cf744d70bb556

diff --git a/media-sound/exaile/exaile-4.1.3.ebuild b/media-sound/exaile/exaile-4.1.3.ebuild
new file mode 100644
index 000000000000..3c7be5deff10
--- /dev/null
+++ b/media-sound/exaile/exaile-4.1.3.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit python-single-r1 xdg
+
+if [[ ${PV} == "9999" ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/exaile/exaile.git"
+else
+	SRC_URI="https://github.com/${PN}/${PN}/archive/${PV/_/-}/${PN}-${PV/_/}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/${PN}-${PV/_/-}"
+fi
+
+DESCRIPTION="GTK+ based media player aiming to be similar to Amarok"
+HOMEPAGE="https://www.exaile.org/"
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+# IUSE+=cddb if have dev-python/cddb-py
+IUSE="libnotify nls scrobbler"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="
+	nls? (
+		dev-util/intltool
+		sys-devel/gettext
+	)
+"
+RDEPEND="${PYTHON_DEPS}
+	media-libs/gst-plugins-base:1.0
+	media-libs/gst-plugins-good:1.0
+	media-plugins/gst-plugins-meta:1.0
+	x11-libs/gtk+:3[introspection]
+	libnotify? ( x11-libs/libnotify[introspection] )
+	$(python_gen_cond_dep '
+		dev-python/bsddb3[${PYTHON_USEDEP}]
+		dev-python/dbus-python[${PYTHON_USEDEP}]
+		dev-python/gst-python:1.0[${PYTHON_USEDEP}]
+		dev-python/pycairo[${PYTHON_USEDEP}]
+		dev-python/pygobject:3[${PYTHON_USEDEP}]
+		media-libs/mutagen[${PYTHON_USEDEP}]
+		scrobbler? ( dev-python/pylast[${PYTHON_USEDEP}] )
+	')
+"
+
+RESTRICT="test" #315589
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+}
+
+src_compile() {
+	use nls && emake locale
+}
+
+src_install() {
+	emake \
+		PREFIX=/usr \
+		LIBINSTALLDIR=/usr/$(get_libdir) \
+		DESTDIR="${D}" \
+		install$(use nls || echo _no_locale)
+
+	python_optimize "${D}/usr/$(get_libdir)/${PN}"
+	python_optimize "${D}/usr/share/${PN}"
+}


             reply	other threads:[~2023-08-04  6:33 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-04  6:33 Miroslav Šulc [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-09-04  8:09 [gentoo-commits] repo/gentoo:master commit in: media-sound/exaile/ Miroslav Šulc
2023-09-03 16:39 Sam James
2023-05-04  7:11 Miroslav Šulc
2022-09-10  6:43 Jakov Smolić
2022-08-10  6:18 Miroslav Šulc
2022-07-02 12:20 Agostino Sarubbo
2022-07-01 11:09 Miroslav Šulc
2022-06-28  8:52 Miroslav Šulc
2021-06-10 19:05 Sam James
2021-05-23  9:54 Miroslav Šulc
2020-04-12 11:02 Sergei Trofimovich
2020-02-09 16:31 Michał Górny
2019-09-02 14:14 Mart Raudsepp
2019-09-02 13:24 Agostino Sarubbo
2019-09-02 10:15 Agostino Sarubbo
2019-08-04 11:56 Mart Raudsepp
2019-03-10  8:36 Mart Raudsepp
2019-03-09 21:19 Matt Turner
2019-03-03 12:07 Mikle Kolyada
2019-03-02 20:49 Thomas Deutschmann
2019-02-05 23:27 Andreas Sturmlechner
2018-04-20 19:45 David Seifert
2017-04-23 11:29 David Seifert
2016-08-12 11:42 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1691130790.869af7e91d35f16813aa313b96b59f14acf1d8c9.fordfrog@gentoo \
    --to=fordfrog@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox